<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Spinner</title>
    <style>
        body, html {
            height: 100%;
            margin: 0;
            padding: 0;
            background-color: #fff;
            display: flex;
            justify-content: center;
            align-items: center;
            font-family: Arial, sans-serif;
        }

        .loader {
            width: 100px;
            height: 100px;
            display: flex;
            justify-content: center;
            align-items: center;
            color: #fff;
            font-size: 20px;
        }

        .spinner {
            animation: rotate 1.5s linear infinite;
        }

        .spinner__path {
            fill: none;
            stroke-width: 3;
            stroke-linecap: round;
            animation: dash 1.5s ease-in-out infinite;
        }

        @keyframes rotate {
            100% {
                transform: rotate(360deg);
            }
        }

        @keyframes dash {
            0% {
                stroke-dasharray: 1, 150;
                stroke-dashoffset: 0;
            }
            50% {
                stroke-dasharray: 90, 150;
                stroke-dashoffset: -35;
            }
            100% {
                stroke-dasharray: 90, 150;
                stroke-dashoffset: -124;
            }
        }

        .spinner {
            z-index: 2;
            margin-inline: auto;
            overflow: hidden;
            border-radius: 100%;
            -moz-border-radius: 100%;
            -o-border-radius: 100%;
            -webkit-border-radius: 100%;
            -ms-webkit-radius: 100%;
            zoom: 1;
            -webkit-animation: rotate 2s linear infinite;
            -moz-animation: rotate 2s linear infinite;
            animation: rotate 2s linear infinite;
        }

        @-webkit-keyframes rotate {
            100% {
                -moz-transform: rotate(360deg);
                -o-transform: rotate(360deg);
                -ms-transform: rotate(360deg);
                -webkit-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        @keyframes rotate {
            100% {
                -moz-transform: rotate(360deg);
                -o-transform: rotate(360deg);
                -ms-transform: rotate(360deg);
                -webkit-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        .spinner__path {
            fill: transparent;
            stroke-width: 10;
            stroke-linecap: round;
            stroke-linejoin: round;
        }

        .spinner__path:nth-child(1) {
            -webkit-animation: dash-1 2s ease-in-out infinite;
            -moz-animation: dash-1 2s ease-in-out infinite;
            animation: dash-1 2s ease-in-out infinite;
            stroke: rgba(244, 63, 94, 1);
        }

        @-webkit-keyframes dash-1 {
            0% {
                stroke-dasharray: 0, 125;
                stroke-dashoffset: 0;
            }
            50% {
                stroke-dasharray: 50, 125;
                stroke-dashoffset: -60;
            }
            100% {
                stroke-dasharray: 125, 125;
                stroke-dashoffset: -125;
            }
        }

        @keyframes dash-1 {
            0% {
                stroke-dasharray: 0, 125;
                stroke-dashoffset: 0;
            }
            50% {
                stroke-dasharray: 50, 125;
                stroke-dashoffset: -60;
            }
            100% {
                stroke-dasharray: 125, 125;
                stroke-dashoffset: -125;
            }
        }

        .spinner__path:nth-child(2) {
            -webkit-animation: dash-2 2s ease-in-out infinite;
            -moz-animation: dash-2 2s ease-in-out infinite;
            animation: dash-2 2s ease-in-out infinite;
            stroke: rgba(245, 158, 11, 1);
        }

        @-webkit-keyframes dash-2 {
            0% {
                stroke-dasharray: 0, 125;
                stroke-dashoffset: 0;
            }
            50% {
                stroke-dasharray: 50, 125;
                stroke-dashoffset: -70;
            }
            100% {
                stroke-dasharray: 125, 125;
                stroke-dashoffset: -125;
            }
        }

        @keyframes dash-2 {
            0% {
                stroke-dasharray: 0, 125;
                stroke-dashoffset: 0;
            }
            50% {
                stroke-dasharray: 50, 125;
                stroke-dashoffset: -70;
            }
            100% {
                stroke-dasharray: 125, 125;
                stroke-dashoffset: -125;
            }
        }

        .spinner__path:nth-child(3) {
            -webkit-animation: dash-3 2s ease-in-out infinite;
            -moz-animation: dash-3 2s ease-in-out infinite;
            animation: dash-3 2s ease-in-out infinite;
            stroke: rgba(16, 185, 129, 1);
        }

        @-webkit-keyframes dash-3 {
            0% {
                stroke-dasharray: 0, 125;
                stroke-dashoffset: 0;
            }
            50% {
                stroke-dasharray: 50, 125;
                stroke-dashoffset: -80;
            }
            100% {
                stroke-dasharray: 125, 125;
                stroke-dashoffset: -125;
            }
        }

        @keyframes dash-3 {
            0% {
                stroke-dasharray: 0, 125;
                stroke-dashoffset: 0;
            }
            50% {
                stroke-dasharray: 50, 125;
                stroke-dashoffset: -80;
            }
            100% {
                stroke-dasharray: 125, 125;
                stroke-dashoffset: -125;
            }
        }

        .spinner__path:nth-child(4) {
            -webkit-animation: dash-4 2s ease-in-out infinite;
            -moz-animation: dash-4 2s ease-in-out infinite;
            animation: dash-4 2s ease-in-out infinite;
            stroke: rgba(119, 35, 219, 1);
        }

        @-webkit-keyframes dash-4 {
            0% {
                stroke-dasharray: 0, 125;
                stroke-dashoffset: 0;
            }
            50% {
                stroke-dasharray: 50, 125;
                stroke-dashoffset: -90;
            }
            100% {
                stroke-dasharray: 125, 125;
                stroke-dashoffset: -125;
            }
        }

        @keyframes dash-4 {
            0% {
                stroke-dasharray: 0, 125;
                stroke-dashoffset: 0;
            }
            50% {
                stroke-dasharray: 50, 125;
                stroke-dashoffset: -90;
            }
            100% {
                stroke-dasharray: 125, 125;
                stroke-dashoffset: -125;
            }
        }

    </style>
</head>
<body>
<div class="loader">
    <svg class="spinner" viewBox="0 0 100 100">
        <circle class="spinner__path" cx="50" cy="50" r="40" stroke="rgba(244, 63, 94, 1)" />
        <circle class="spinner__path" cx="50" cy="50" r="35" stroke="rgba(245, 158, 11, 1)" />
        <circle class="spinner__path" cx="50" cy="50" r="30" stroke="rgba(16, 185, 129, 1)" />
        <circle class="spinner__path" cx="50" cy="50" r="25" stroke="rgba(119, 35, 219, 1)" />
    </svg>
</div>
</body>
</html>
